| Home | Libraries | People | FAQ | More

##### as_set

###### Description

Returns the result type of `as_set`.

###### Synopsis

    template <typename Sequence>
    struct as_set;

###### Parameters

Parameter | Requirement | Description
--- | --- | ---
`Sequence` | A fusion Sequence | The sequence to convert.

###### Expression Semantics

    result_of::as_set<Sequence>::type;

Return type: A `set` with same elements as the input sequence, `Sequence`.

Semantics: Convert a fusion sequence, `Sequence`, to a `set`.

Precondition: There may be no duplicate key types.

###### Header

    #include <boost/fusion/container/set/convert.hpp>
    #include <boost/fusion/include/as_set.hpp>

###### Example

    result_of::as_set<vector<char, int> >::type